Subject: bug#17893: 24.4.50; (error "Marker does not point anywhere")

From: martin rudalics <[email-masked]>
Date: Sun, 26 Nov 2017 11:26:29 +0100

> What is missing is a way of methodically walking all the markers
 > reachable from the cloned buffer's local variables, and changing each
 > marker to point to the cloned buffer instead of the parent buffer.

Have `clone-buffer' record the parent buffer somewhere and when we
encounter a marker referring a dead buffer that is the same as the
recorded parent buffer redirect the marker on the fly to the cloned
buffer.  Not overly clean but what could we lose?

martin